# frozen_string_literal: true

# Bookmarks Manual
module Bkmrq
  # Package Manual
  class Manual
    BANNER = <<-MAN
    Bkmrq - Export your bookmarks to markdown

    # Supported Browsers
    - brave
    - chromium
    MAN

    def self.options_specs
      [
        browser_opt_specs,
        input_file_opt_specs,
        output_file_opt_specs,
        edit_opt_specs
      ]
    end

    def self.browser_opt_specs
      [
        '-B BROWSER',
        '--browser BROWSER',
        String,
        'Browser (Loads Default Configs)',
        :browser
      ]
    end

    def self.input_file_opt_specs
      [
        '-F FILE',
        '--input-file FILE',
        String,
        'Bookmarks file generated by your browser. (JSON FORMAT ONLY)',
        :input_file
      ]
    end

    def self.output_file_opt_specs
      [
        '-O FILE',
        '--output-file FILE',
        String,
        'Filepath for markdown generated by Bkmrq',
        :output_path
      ]
    end

    def self.edit_opt_specs
      [
        '-E',
        '--edit',
        'Load Generated Markdown in $EDITOR (will not persist generated output)',
        :edit
      ]
    end

    private_class_method :browser_opt_specs, :input_file_opt_specs, :output_file_opt_specs, :edit_opt_specs
  end
end
